Package com.norconex.commons.lang.config

# Class ConfigurationLoader.ConfigurationLoaderBuilder

java.lang.Object
com.norconex.commons.lang.config.ConfigurationLoader.ConfigurationLoaderBuilder

Enclosing class:
  `ConfigurationLoader`

public static class ConfigurationLoader.ConfigurationLoaderBuilder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigurationLoader.ConfigurationLoaderBuilder`
  `beanMapper(@NonNull BeanMapper beanMapper)`
  Optional custom bean mapper when loading into object.
  `ConfigurationLoader`
  `build()`
  `ConfigurationLoader.ConfigurationLoaderBuilder`
  `defaultContext(VelocityContext defaultContext)`
  Optional Velocity context.
  `String`
  `toString()`
  `ConfigurationLoader.ConfigurationLoaderBuilder`
  `variableMap(Map<String,Object> variableMap)`
  `ConfigurationLoader.ConfigurationLoaderBuilder`
  `variablesFile(Path variablesFile)`
  File holding variables.
  `ConfigurationLoader.ConfigurationLoaderBuilder`
  `velocityEngine(@NonNull VelocityEngine velocityEngine)`
  Optional custom velocity engine.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### velocityEngine

    public ConfigurationLoader.ConfigurationLoaderBuilder velocityEngine(@NonNull @NonNull VelocityEngine velocityEngine)
    Optional custom velocity engine.
    Returns:
      `this`.

  - ### defaultContext

    public ConfigurationLoader.ConfigurationLoaderBuilder defaultContext(VelocityContext defaultContext)
    Optional Velocity context.
    Returns:
      `this`.

  - ### beanMapper

    public ConfigurationLoader.ConfigurationLoaderBuilder beanMapper(@NonNull @NonNull BeanMapper beanMapper)
    Optional custom bean mapper when loading into object.
    Returns:
      `this`.

  - ### variablesFile

    public ConfigurationLoader.ConfigurationLoaderBuilder variablesFile(Path variablesFile)
    File holding variables. See class documentation.
    Returns:
      `this`.

  - ### variableMap

    public ConfigurationLoader.ConfigurationLoaderBuilder variableMap(Map<String,Object> variableMap)
    Returns:
      `this`.

  - ### build

    public ConfigurationLoader build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`